﻿
'------------------------------------------------------------------------------
' <auto-generated>
'     This code was generated by a tool.
'
'     Changes to this file may cause incorrect behavior and will be lost if
'     the code is regenerated.
' </auto-generated>
'------------------------------------------------------------------------------

Option Strict On
Option Explicit On

Imports __OutBox = LightSwitchApplication.OutBox

Namespace LightSwitchApplication

    #Region "Entities"
    
    ''' <summary>
    ''' No Modeled Description Available
    ''' </summary>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    Public NotInheritable Partial Class OutBox
        Inherits Global.Microsoft.LightSwitch.Framework.Base.EntityObject(Of __OutBox, __OutBox.DetailsClass)
    
        #Region "Constructors"
    
        ''' <summary>
        ''' Initializes a new instance of the OutBox entity.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New()
            Me.New(Nothing)
        End Sub
    
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New(entitySet As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __OutBox))
            MyBase.New(entitySet)
            
            __OutBox.DetailsClass.Initialize(Me)
        End Sub
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub OutBox_Created()
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub OutBox_AllowSaveWithErrors(ByRef result As Boolean)
        End Sub
    
        #End Region
    
        #Region "Private Properties"
        
        ''' <summary>
        ''' Gets the Application object for this application.  The Application object provides access to active screens, methods to open screens and access to the current user.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property Application As Global.Microsoft.LightSwitch.IApplication(Of Global.LightSwitchApplication.DataWorkspace)
            Get
                Return Global.LightSwitchApplication.Application.Current
            End Get
        End Property
        
        ''' <summary>
        ''' Gets the containing data workspace.  The data workspace provides access to all data sources in the application.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property DataWorkspace As Global.LightSwitchApplication.DataWorkspace
            Get
                Return DirectCast(Me.Details.EntitySet.Details.DataService.Details.DataWorkspace, Global.LightSwitchApplication.DataWorkspace)
            End Get
        End Property
        
        #End Region
    
        #Region "Public Properties"
    
        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Id As Integer
            Get
                Return __OutBox.DetailsClass.GetValue(Me, __OutBox.DetailsClass.PropertySetProperties.Id)
            End Get
            Set
                __OutBox.DetailsClass.SetValue(Me, __OutBox.DetailsClass.PropertySetProperties.Id, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property RowVersion As Byte()
            Get
                Return __OutBox.DetailsClass.GetValue(Me, __OutBox.DetailsClass.PropertySetProperties.RowVersion)
            End Get
            Set
                __OutBox.DetailsClass.SetValue(Me, __OutBox.DetailsClass.PropertySetProperties.RowVersion, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property DateSaved As Date
            Get
                Return __OutBox.DetailsClass.GetValue(Me, __OutBox.DetailsClass.PropertySetProperties.DateSaved)
            End Get
            Set
                __OutBox.DetailsClass.SetValue(Me, __OutBox.DetailsClass.PropertySetProperties.DateSaved, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub DateSaved_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub DateSaved_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub DateSaved_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Sender As String
            Get
                Return __OutBox.DetailsClass.GetValue(Me, __OutBox.DetailsClass.PropertySetProperties.Sender)
            End Get
            Set
                __OutBox.DetailsClass.SetValue(Me, __OutBox.DetailsClass.PropertySetProperties.Sender, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Sender_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Sender_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Sender_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Recipient As String
            Get
                Return __OutBox.DetailsClass.GetValue(Me, __OutBox.DetailsClass.PropertySetProperties.Recipient)
            End Get
            Set
                __OutBox.DetailsClass.SetValue(Me, __OutBox.DetailsClass.PropertySetProperties.Recipient, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Recipient_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Recipient_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Recipient_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Subject As String
            Get
                Return __OutBox.DetailsClass.GetValue(Me, __OutBox.DetailsClass.PropertySetProperties.Subject)
            End Get
            Set
                __OutBox.DetailsClass.SetValue(Me, __OutBox.DetailsClass.PropertySetProperties.Subject, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Subject_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Subject_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Subject_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Message As String
            Get
                Return __OutBox.DetailsClass.GetValue(Me, __OutBox.DetailsClass.PropertySetProperties.Message)
            End Get
            Set
                __OutBox.DetailsClass.SetValue(Me, __OutBox.DetailsClass.PropertySetProperties.Message, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Message_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Message_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Message_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Attachment As Byte()
            Get
                Return __OutBox.DetailsClass.GetValue(Me, __OutBox.DetailsClass.PropertySetProperties.Attachment)
            End Get
            Set
                __OutBox.DetailsClass.SetValue(Me, __OutBox.DetailsClass.PropertySetProperties.Attachment, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Attachment_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Attachment_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Attachment_Changed()
        End Sub

        #End Region
    
        #Region "Details Class"
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
        <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public NotInheritable Class DetailsClass
            Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of _
                __OutBox, _
                __OutBox.DetailsClass, _
                __OutBox.DetailsClass.IImplementation, _
                __OutBox.DetailsClass.PropertySet, _
                Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __OutBox, __OutBox.DetailsClass), _
                Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __OutBox, __OutBox.DetailsClass))
    
            Shared Sub New()
                Dim initializeEntry = __OutBox.DetailsClass.PropertySetProperties.Id
            End Sub
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private Shared ReadOnly __OutBoxEntry As Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __OutBox, __OutBox.DetailsClass).Entry = _
                New Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __OutBox, __OutBox.DetailsClass).Entry( _
                    AddressOf __OutBox.DetailsClass.__OutBox_CreateNew, _
                    AddressOf __OutBox.DetailsClass.__OutBox_Created, _
                    AddressOf __OutBox.DetailsClass.__OutBox_AllowSaveWithErrors)
            Private Shared Function __OutBox_CreateNew(es As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __OutBox)) As __OutBox
                Return New __OutBox(es)
            End Function
            Private Shared Sub __OutBox_Created(e As __OutBox)
                e.OutBox_Created()
            End Sub
            Private Shared Function __OutBox_AllowSaveWithErrors(e As __OutBox) As Boolean
                Dim result As Boolean = False
                e.OutBox_AllowSaveWithErrors(result)
                Return result
            End Function
    
            Public Sub New()
                MyBase.New()
            End Sub
    
            Public ReadOnly Shadows Property Commands As Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __OutBox, __OutBox.DetailsClass)
                Get
                    Return MyBase.Commands
                End Get
            End Property
    
            Public ReadOnly Shadows Property Methods As Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __OutBox, __OutBox.DetailsClass)
                Get
                    Return MyBase.Methods
                End Get
            End Property
    
            Public ReadOnly Shadows Property Properties As __OutBox.DetailsClass.PropertySet
                Get
                    Return MyBase.Properties
                End Get
            End Property
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Public NotInheritable Class PropertySet
                Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityPropertySet(Of __OutBox, __OutBox.DetailsClass)
    
                Public Sub New()
                    MyBase.New()
                End Sub
    
                Public ReadOnly Property Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OutBox, __OutBox.DetailsClass, Integer)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__OutBox.DetailsClass.PropertySetProperties.Id),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OutBox, __OutBox.DetailsClass, Integer))
                    End Get
                End Property
                
                Public ReadOnly Property RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OutBox, __OutBox.DetailsClass, Byte())
                    Get
                        Return TryCast(
                            MyBase.GetItem(__OutBox.DetailsClass.PropertySetProperties.RowVersion),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OutBox, __OutBox.DetailsClass, Byte()))
                    End Get
                End Property
                
                Public ReadOnly Property DateSaved As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OutBox, __OutBox.DetailsClass, Date)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__OutBox.DetailsClass.PropertySetProperties.DateSaved),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OutBox, __OutBox.DetailsClass, Date))
                    End Get
                End Property
                
                Public ReadOnly Property Sender As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OutBox, __OutBox.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__OutBox.DetailsClass.PropertySetProperties.Sender),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OutBox, __OutBox.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property Recipient As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OutBox, __OutBox.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__OutBox.DetailsClass.PropertySetProperties.Recipient),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OutBox, __OutBox.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property Subject As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OutBox, __OutBox.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__OutBox.DetailsClass.PropertySetProperties.Subject),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OutBox, __OutBox.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property Message As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OutBox, __OutBox.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__OutBox.DetailsClass.PropertySetProperties.Message),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OutBox, __OutBox.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property Attachment As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OutBox, __OutBox.DetailsClass, Byte())
                    Get
                        Return TryCast(
                            MyBase.GetItem(__OutBox.DetailsClass.PropertySetProperties.Attachment),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OutBox, __OutBox.DetailsClass, Byte()))
                    End Get
                End Property
                
            End Class
    
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            Public Interface IImplementation
                Inherits Global.Microsoft.LightSwitch.Internal.IEntityImplementation
    
                Shadows Property Id As Integer
                Shadows Property RowVersion As Byte()
                Shadows Property DateSaved As Date
                Shadows Property Sender As String
                Shadows Property Recipient As String
                Shadows Property Subject As String
                Shadows Property Message As String
                Shadows Property Attachment As Byte()
    
            End Interface
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Friend Class PropertySetProperties
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OutBox, __OutBox.DetailsClass, Integer).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OutBox, __OutBox.DetailsClass, Integer).Entry( _
                        "Id", _
                        AddressOf __OutBox.DetailsClass.PropertySetProperties._Id_Stub, _
                        AddressOf __OutBox.DetailsClass.PropertySetProperties._Id_ComputeIsReadOnly, _
                        AddressOf __OutBox.DetailsClass.PropertySetProperties._Id_Validate, _
                        AddressOf __OutBox.DetailsClass.PropertySetProperties._Id_GetImplementationValue, _
                        AddressOf __OutBox.DetailsClass.PropertySetProperties._Id_SetImplementationValue, _
                        AddressOf __OutBox.DetailsClass.PropertySetProperties._Id_OnValueChanged)
                Private Shared Sub _Id_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __OutBox.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OutBox, __OutBox.DetailsClass, Integer).Data), d As __OutBox.DetailsClass, sf As Object)
                    c(d, d._Id, sf)
                End Sub
                Private Shared Function _Id_ComputeIsReadOnly(e As __OutBox) As Boolean
                    Dim result As Boolean = False
                    e.Id_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Id_Validate(e As __OutBox, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Id_Validate(r)
                End Sub
                Private Shared Function _Id_GetImplementationValue(d As __OutBox.DetailsClass) As Integer
                    Return d.ImplementationEntity.Id
                End Function
                Private Shared Sub _Id_SetImplementationValue(d As __OutBox.DetailsClass, v As Integer)
                    d.ImplementationEntity.Id = v
                End Sub
                Private Shared Sub _Id_OnValueChanged(e As __OutBox)
                    e.Id_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OutBox, __OutBox.DetailsClass, Byte()).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OutBox, __OutBox.DetailsClass, Byte()).Entry( _
                        "RowVersion", _
                        AddressOf __OutBox.DetailsClass.PropertySetProperties._RowVersion_Stub, _
                        AddressOf __OutBox.DetailsClass.PropertySetProperties._RowVersion_ComputeIsReadOnly, _
                        AddressOf __OutBox.DetailsClass.PropertySetProperties._RowVersion_Validate, _
                        AddressOf __OutBox.DetailsClass.PropertySetProperties._RowVersion_GetImplementationValue, _
                        AddressOf __OutBox.DetailsClass.PropertySetProperties._RowVersion_SetImplementationValue, _
                        AddressOf __OutBox.DetailsClass.PropertySetProperties._RowVersion_OnValueChanged)
                Private Shared Sub _RowVersion_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __OutBox.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OutBox, __OutBox.DetailsClass, Byte()).Data), d As __OutBox.DetailsClass, sf As Object)
                    c(d, d._RowVersion, sf)
                End Sub
                Private Shared Function _RowVersion_ComputeIsReadOnly(e As __OutBox) As Boolean
                    Dim result As Boolean = False
                    e.RowVersion_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _RowVersion_Validate(e As __OutBox, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.RowVersion_Validate(r)
                End Sub
                Private Shared Function _RowVersion_GetImplementationValue(d As __OutBox.DetailsClass) As Byte()
                    Return d.ImplementationEntity.RowVersion
                End Function
                Private Shared Sub _RowVersion_SetImplementationValue(d As __OutBox.DetailsClass, v As Byte())
                    d.ImplementationEntity.RowVersion = v
                End Sub
                Private Shared Sub _RowVersion_OnValueChanged(e As __OutBox)
                    e.RowVersion_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly DateSaved As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OutBox, __OutBox.DetailsClass, Date).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OutBox, __OutBox.DetailsClass, Date).Entry( _
                        "DateSaved", _
                        AddressOf __OutBox.DetailsClass.PropertySetProperties._DateSaved_Stub, _
                        AddressOf __OutBox.DetailsClass.PropertySetProperties._DateSaved_ComputeIsReadOnly, _
                        AddressOf __OutBox.DetailsClass.PropertySetProperties._DateSaved_Validate, _
                        AddressOf __OutBox.DetailsClass.PropertySetProperties._DateSaved_GetImplementationValue, _
                        AddressOf __OutBox.DetailsClass.PropertySetProperties._DateSaved_SetImplementationValue, _
                        AddressOf __OutBox.DetailsClass.PropertySetProperties._DateSaved_OnValueChanged)
                Private Shared Sub _DateSaved_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __OutBox.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OutBox, __OutBox.DetailsClass, Date).Data), d As __OutBox.DetailsClass, sf As Object)
                    c(d, d._DateSaved, sf)
                End Sub
                Private Shared Function _DateSaved_ComputeIsReadOnly(e As __OutBox) As Boolean
                    Dim result As Boolean = False
                    e.DateSaved_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _DateSaved_Validate(e As __OutBox, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.DateSaved_Validate(r)
                End Sub
                Private Shared Function _DateSaved_GetImplementationValue(d As __OutBox.DetailsClass) As Date
                    Return d.ImplementationEntity.DateSaved
                End Function
                Private Shared Sub _DateSaved_SetImplementationValue(d As __OutBox.DetailsClass, v As Date)
                    d.ImplementationEntity.DateSaved = __OutBox.DetailsClass.ClearDateTimeKind(v)
                End Sub
                Private Shared Sub _DateSaved_OnValueChanged(e As __OutBox)
                    e.DateSaved_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Sender As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OutBox, __OutBox.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OutBox, __OutBox.DetailsClass, String).Entry( _
                        "Sender", _
                        AddressOf __OutBox.DetailsClass.PropertySetProperties._Sender_Stub, _
                        AddressOf __OutBox.DetailsClass.PropertySetProperties._Sender_ComputeIsReadOnly, _
                        AddressOf __OutBox.DetailsClass.PropertySetProperties._Sender_Validate, _
                        AddressOf __OutBox.DetailsClass.PropertySetProperties._Sender_GetImplementationValue, _
                        AddressOf __OutBox.DetailsClass.PropertySetProperties._Sender_SetImplementationValue, _
                        AddressOf __OutBox.DetailsClass.PropertySetProperties._Sender_OnValueChanged)
                Private Shared Sub _Sender_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __OutBox.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OutBox, __OutBox.DetailsClass, String).Data), d As __OutBox.DetailsClass, sf As Object)
                    c(d, d._Sender, sf)
                End Sub
                Private Shared Function _Sender_ComputeIsReadOnly(e As __OutBox) As Boolean
                    Dim result As Boolean = False
                    e.Sender_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Sender_Validate(e As __OutBox, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Sender_Validate(r)
                End Sub
                Private Shared Function _Sender_GetImplementationValue(d As __OutBox.DetailsClass) As String
                    Return d.ImplementationEntity.Sender
                End Function
                Private Shared Sub _Sender_SetImplementationValue(d As __OutBox.DetailsClass, v As String)
                    d.ImplementationEntity.Sender = v
                End Sub
                Private Shared Sub _Sender_OnValueChanged(e As __OutBox)
                    e.Sender_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Recipient As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OutBox, __OutBox.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OutBox, __OutBox.DetailsClass, String).Entry( _
                        "Recipient", _
                        AddressOf __OutBox.DetailsClass.PropertySetProperties._Recipient_Stub, _
                        AddressOf __OutBox.DetailsClass.PropertySetProperties._Recipient_ComputeIsReadOnly, _
                        AddressOf __OutBox.DetailsClass.PropertySetProperties._Recipient_Validate, _
                        AddressOf __OutBox.DetailsClass.PropertySetProperties._Recipient_GetImplementationValue, _
                        AddressOf __OutBox.DetailsClass.PropertySetProperties._Recipient_SetImplementationValue, _
                        AddressOf __OutBox.DetailsClass.PropertySetProperties._Recipient_OnValueChanged)
                Private Shared Sub _Recipient_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __OutBox.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OutBox, __OutBox.DetailsClass, String).Data), d As __OutBox.DetailsClass, sf As Object)
                    c(d, d._Recipient, sf)
                End Sub
                Private Shared Function _Recipient_ComputeIsReadOnly(e As __OutBox) As Boolean
                    Dim result As Boolean = False
                    e.Recipient_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Recipient_Validate(e As __OutBox, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Recipient_Validate(r)
                End Sub
                Private Shared Function _Recipient_GetImplementationValue(d As __OutBox.DetailsClass) As String
                    Return d.ImplementationEntity.Recipient
                End Function
                Private Shared Sub _Recipient_SetImplementationValue(d As __OutBox.DetailsClass, v As String)
                    d.ImplementationEntity.Recipient = v
                End Sub
                Private Shared Sub _Recipient_OnValueChanged(e As __OutBox)
                    e.Recipient_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Subject As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OutBox, __OutBox.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OutBox, __OutBox.DetailsClass, String).Entry( _
                        "Subject", _
                        AddressOf __OutBox.DetailsClass.PropertySetProperties._Subject_Stub, _
                        AddressOf __OutBox.DetailsClass.PropertySetProperties._Subject_ComputeIsReadOnly, _
                        AddressOf __OutBox.DetailsClass.PropertySetProperties._Subject_Validate, _
                        AddressOf __OutBox.DetailsClass.PropertySetProperties._Subject_GetImplementationValue, _
                        AddressOf __OutBox.DetailsClass.PropertySetProperties._Subject_SetImplementationValue, _
                        AddressOf __OutBox.DetailsClass.PropertySetProperties._Subject_OnValueChanged)
                Private Shared Sub _Subject_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __OutBox.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OutBox, __OutBox.DetailsClass, String).Data), d As __OutBox.DetailsClass, sf As Object)
                    c(d, d._Subject, sf)
                End Sub
                Private Shared Function _Subject_ComputeIsReadOnly(e As __OutBox) As Boolean
                    Dim result As Boolean = False
                    e.Subject_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Subject_Validate(e As __OutBox, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Subject_Validate(r)
                End Sub
                Private Shared Function _Subject_GetImplementationValue(d As __OutBox.DetailsClass) As String
                    Return d.ImplementationEntity.Subject
                End Function
                Private Shared Sub _Subject_SetImplementationValue(d As __OutBox.DetailsClass, v As String)
                    d.ImplementationEntity.Subject = v
                End Sub
                Private Shared Sub _Subject_OnValueChanged(e As __OutBox)
                    e.Subject_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Message As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OutBox, __OutBox.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OutBox, __OutBox.DetailsClass, String).Entry( _
                        "Message", _
                        AddressOf __OutBox.DetailsClass.PropertySetProperties._Message_Stub, _
                        AddressOf __OutBox.DetailsClass.PropertySetProperties._Message_ComputeIsReadOnly, _
                        AddressOf __OutBox.DetailsClass.PropertySetProperties._Message_Validate, _
                        AddressOf __OutBox.DetailsClass.PropertySetProperties._Message_GetImplementationValue, _
                        AddressOf __OutBox.DetailsClass.PropertySetProperties._Message_SetImplementationValue, _
                        AddressOf __OutBox.DetailsClass.PropertySetProperties._Message_OnValueChanged)
                Private Shared Sub _Message_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __OutBox.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OutBox, __OutBox.DetailsClass, String).Data), d As __OutBox.DetailsClass, sf As Object)
                    c(d, d._Message, sf)
                End Sub
                Private Shared Function _Message_ComputeIsReadOnly(e As __OutBox) As Boolean
                    Dim result As Boolean = False
                    e.Message_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Message_Validate(e As __OutBox, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Message_Validate(r)
                End Sub
                Private Shared Function _Message_GetImplementationValue(d As __OutBox.DetailsClass) As String
                    Return d.ImplementationEntity.Message
                End Function
                Private Shared Sub _Message_SetImplementationValue(d As __OutBox.DetailsClass, v As String)
                    d.ImplementationEntity.Message = v
                End Sub
                Private Shared Sub _Message_OnValueChanged(e As __OutBox)
                    e.Message_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Attachment As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OutBox, __OutBox.DetailsClass, Byte()).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OutBox, __OutBox.DetailsClass, Byte()).Entry( _
                        "Attachment", _
                        AddressOf __OutBox.DetailsClass.PropertySetProperties._Attachment_Stub, _
                        AddressOf __OutBox.DetailsClass.PropertySetProperties._Attachment_ComputeIsReadOnly, _
                        AddressOf __OutBox.DetailsClass.PropertySetProperties._Attachment_Validate, _
                        AddressOf __OutBox.DetailsClass.PropertySetProperties._Attachment_GetImplementationValue, _
                        AddressOf __OutBox.DetailsClass.PropertySetProperties._Attachment_SetImplementationValue, _
                        AddressOf __OutBox.DetailsClass.PropertySetProperties._Attachment_OnValueChanged)
                Private Shared Sub _Attachment_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __OutBox.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OutBox, __OutBox.DetailsClass, Byte()).Data), d As __OutBox.DetailsClass, sf As Object)
                    c(d, d._Attachment, sf)
                End Sub
                Private Shared Function _Attachment_ComputeIsReadOnly(e As __OutBox) As Boolean
                    Dim result As Boolean = False
                    e.Attachment_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Attachment_Validate(e As __OutBox, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Attachment_Validate(r)
                End Sub
                Private Shared Function _Attachment_GetImplementationValue(d As __OutBox.DetailsClass) As Byte()
                    Return d.ImplementationEntity.Attachment
                End Function
                Private Shared Sub _Attachment_SetImplementationValue(d As __OutBox.DetailsClass, v As Byte())
                    d.ImplementationEntity.Attachment = v
                End Sub
                Private Shared Sub _Attachment_OnValueChanged(e As __OutBox)
                    e.Attachment_Changed()
                End Sub
    
            End Class
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OutBox, __OutBox.DetailsClass, Integer).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OutBox, __OutBox.DetailsClass, Byte()).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _DateSaved As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OutBox, __OutBox.DetailsClass, Date).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Sender As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OutBox, __OutBox.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Recipient As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OutBox, __OutBox.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Subject As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OutBox, __OutBox.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Message As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OutBox, __OutBox.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Attachment As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OutBox, __OutBox.DetailsClass, Byte()).Data
            
        End Class
    
        #End Region
    
    End Class
    
    #End Region
End Namespace
